Page MenuHomePhabricator

Create phabricator project for Extension:Blackout
Closed, DeclinedPublic

Description

The Blackout extension doesn't currently have its own phab project. I'm going to put it in the review queue and thus I'd like to ask for a new project to be created. I guess the name should be Mediawiki-extension-Blackout, standard policy, and a description like

Project for the Blackout extensions, which allows to prevent site access. See the [[https://www.mediawiki.org/wiki/Extension:Blackout|homepage]] on mediawiki.org.

Many thanks.

Event Timeline

Daimona created this task.Aug 31 2018, 10:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2018, 10:18 AM

@Daimona: Do you co-maintain that extension?
https://www.mediawiki.org/wiki/Extension:Blackout#Requests_by_developer states to "Add any wishes to the talk page" instead. Is that still correct?

@Aklapper AFAICS that comment is 6 years old. Since then, I can't see any change to the extension, which seems to be no longer maintained (almost dead). I can take co-maintainer role if that's fine. Again, CC'ing @Varnent as the only owner of the gerrit repo and creator of the extension.

I'd favor creating the project if there's maintenance planned on the extension and Phabricator is the preferred venue for reporting such issues. The second item is certainly happening so maybe having everything in one place instead of spread all over MediaWiki-extensions-Other can be a good idea. Thanks.

hashar closed this task as Declined.Aug 31 2018, 1:12 PM
hashar added a subscriber: hashar.

Blackout has been written by Wikimedia for the SOPA protest back in 2012 ( https://en.wikipedia.org/wiki/Protests_against_SOPA_and_PIPA ). It was a one time sprint / effort that was not intended to be kept around. The extension really just added an overlay on all pages with a black background and a message.

It is quite unlikely to be ever used again. Moreover, after six years, lot of things have changed in MediaWiki and I am not sure it is worth the effort to adapt the extension for an hypothetical future usage :]

So I guess we can just archive it in CI/Gerrit etc. If one day we have a need for that it can always be restored, or most probably rewritten from scratch.

Blackout has been written by Wikimedia for the SOPA protest back in 2012 ( https://en.wikipedia.org/wiki/Protests_against_SOPA_and_PIPA ). It was a one time sprint / effort that was not intended to be kept around. The extension really just added an overlay on all pages with a black background and a message.
It is quite unlikely to be ever used again. Moreover, after six years, lot of things have changed in MediaWiki and I am not sure it is worth the effort to adapt the extension for an hypothetical future usage :]
So I guess we can just archive it in CI/Gerrit etc. If one day we have a need for that it can always be restored, or most probably rewritten from scratch.

@hashar I didn't know any detail about who wrote the extension and how long was it planned to be kept around. However, please note that the version I posted for review is not what the extension used to be. It removes SOPA/PIPA-related skins, completely reworks the extension to make it customizable on-wiki, and it redirects to a given page instead of adding an overlay. In other words, the refactor turns it into a broader tool to be used for blackouts, and something meant to be kept around as well. Since the change is pretty big we may decide to move my version to a new extension, but I wonder whether it would really be useful, since the idea here is to restart the revieq queue.

Also, as I was saying in T203228#4547957, deploying this extension doesn't mean that it will be used. We don't know if there'll be another blackout and when, and we can't know how it'll be implemented. The goal of deploying the extension is to have a tool already in place, instead of starting a full review process (which can take a long time) in a situation where we could be really, really short on time.

I don't want to reopen the task without hearing other thoughts, but again please keep in mind that a new version of this extension is the one under review, and we may not have time to "rewrite it from scratch" the next time we'll need it.

@MarcoAurelio As I was saying above, I can (co-)maintain the extension, of course here on phab.

hashar reopened this task as Open.Aug 31 2018, 1:30 PM

@Daimona sorry I completely missed you sent a patch that overhaul the extension ( https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Blackout/+/444363/ ). So yeah I guess we want to keep maintaining it and it could use a phabricator project :]

Sorry for the trouble!

And I just now noticed the parent task T203228 which is to deploy Blackout on the Wikimedia infrastructure. I guess there are use cases for other blackouts but we can follow up on T203228.

No problem :-) Unfortunately, creating all these tasks made me forget to report the same info everywhere, and I didn't specify the current status here.

Aklapper changed the task status from Open to Stalled.Sep 1 2018, 11:17 AM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

pinging another maintainer to let them raise their opinions on this.

@Liuxinyu970226: Note that the added maintainer Phab account is not verified and hence will not receive notifications from Wikimedia Phabricator.

Aklapper triaged this task as Lowest priority.Feb 22 2019, 11:10 AM

I don't see active development in https://gerrit.wikimedia.org/r/#/q/project:mediawiki/extensions/Blackout hence I propose declining this for the time being until T198890 is sorted out.

hashar closed this task as Declined.Apr 4 2019, 8:53 PM

I don't see active development in https://gerrit.wikimedia.org/r/#/q/project:mediawiki/extensions/Blackout hence I propose declining this for the time being until T198890 is sorted out.

Make sense to me yes.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptApr 4 2019, 8:53 PM